Imports Sample.Base
Imports KamoyaSolutions.KsGrid
Imports System.Text

Public Class sample04
    Private Sub sample04_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        sample02.Show()
        Me.Hide()
    End Sub

    Private Sub sample03_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim StringBuilder As New StringBuilder
        Dim LoopI As Int32
        Dim LoopJ As Int32
        LinkLabel1.Text = Class1.LinkAddress
        Me.Icon = New Icon(My.Application.Info.DirectoryPath & "\KsGridIcon.ico")
        Me.Height = 684
        Me.Width = 912
        Me.Top = KsFormOperation.TopForCenter(Me.Height)
        Me.Left = KsFormOperation.LeftForCenter(Me.Width)
        Me.Text = Me.Name & " - KsGrid Rg["
        StringBuilder.AppendLine("Z̃t[")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("Z̃t[́AeӂƂɎRɐݒł܂B")
        StringBuilder.AppendLine("Z̃t[̕A0̎́A}[WĂ悤Ɍ܂A킩Ղ悤ɁAwiF݂ɐݒ肵܂B")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("̃tH[ł́A")
        StringBuilder.AppendLine(Class1.FewSpace & "")
        StringBuilder.AppendLine(Class1.FewSpace & "F")
        StringBuilder.AppendLine(Class1.FewSpace & "CompoundArray")
        StringBuilder.AppendLine("̐ݒ肪AsĂ܂B")
        Label1.Text = StringBuilder.ToString

        '
        With KsGrid1
            .Rows = 16
            .Cols = 6
            For LoopI = 0 To .Rows - 1
                For LoopJ = 0 To .Cols - 1
                    If (LoopI + LoopJ) Mod 2 = 0 Then
                        .Cell(LoopI, LoopJ).BackColor = Color.LightYellow
                    Else
                        .Cell(LoopI, LoopJ).BackColor = Color.Beige
                    End If
                    .Values.CellToolTip(LoopI, LoopJ) = LoopI.ToString & "_" & LoopJ.ToString
                Next
            Next
            .DefaultCell.AllFrameStyle.Color = Color.Blue
            .DefaultCell.Appearance = CellFrameAppearance.Flat

            '̐ݒ()
            .Cell(1, 1).AllFrameStyle.Width = 0
            .Cell(1, 3).AllFrameStyle.Width = 0
            .Cell(3, 1).AllFrameStyle.Width = 0
            .Cell(3, 3).AllFrameStyle.Width = 0
            .Cell(4, 2).TopFrameStyle.Width = 0

            'F̐ݒ
            .Cell(2, 2).TopFrameStyle.Color = Color.Cyan
            .Cell(2, 2).LeftFrameStyle.Color = Color.Green
            .Cell(2, 2).RightFrameStyle.Color = Color.Pink
            .Cell(2, 2).BottomFrameStyle.Color = Color.Red
            .Cell(0, 4, 4, 4).RightFrameStyle.Width = 3

            'CompoundArray̐ݒ Ղ悤ɕLĂ܂B
            Dim CompdArray() As Single = {0, 0.2, 0.7, 1}
            .Cell(4, 0, 4, 4).BottomFrameStyle.Width = 5
            .Cell(4, 0, 4, 4).BottomFrameStyle.CompoundArray = CompdArray
            .Cell(6, 1).AllFrameStyle.Width = 5
            .Cell(6, 1).TopFrameStyle.Color = Color.Cyan
            .Cell(6, 1).LeftFrameStyle.Color = Color.Green
            .Cell(6, 1).RightFrameStyle.Color = Color.Yellow
            .Cell(6, 1).BottomFrameStyle.Color = Color.Red
            .Cell(6, 3).AllFrameStyle.Width = 5
            .Cell(6, 3).TopFrameStyle.Color = Color.Cyan
            .Cell(6, 3).LeftFrameStyle.Color = Color.Green
            .Cell(6, 3).RightFrameStyle.Color = Color.Yellow
            .Cell(6, 3).BottomFrameStyle.Color = Color.Red
            .Cell(8, 1).BottomFrameStyle.Width = 0
            .Cell(8, 1).RightFrameStyle.Width = 0
            .Cell(8, 3).LeftFrameStyle.Width = 0
            .Cell(8, 3).BottomFrameStyle.Width = 0
            .Cell(9, 2).AllFrameStyle.Width = 0
            .Cell(10, 1).RightFrameStyle.Width = 0
            .Cell(10, 1).TopFrameStyle.Width = 0
            .Cell(10, 3).LeftFrameStyle.Width = 0
            .Cell(10, 3).TopFrameStyle.Width = 0

            'KADraw \bhs܂B
            .Draw()
        End With
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        LinkLabel1.LinkVisited = True
        System.Diagnostics.Process.Start(Class1.LinkAddress)
    End Sub

    Private Sub Me_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        With KsGrid1
            .Width = Me.Width - 290
            .Height = Me.Height - 60
            .Draw()
        End With
    End Sub
    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub

End Class