Imports Sample.Base
Imports KamoyaSolutions.KsGrid
Imports System.Text

Public Class sample03
    Private Sub sample03_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        sample02.Show()
        Me.Hide()
    End Sub

    Private Sub sample03_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim StringBuilder As New StringBuilder
        LinkLabel1.Text = Class1.LinkAddress
        Me.Icon = New Icon(My.Application.Info.DirectoryPath & "\KsGridIcon.ico")
        Me.Height = 684
        Me.Width = 912
        Me.Top = KsFormOperation.TopForCenter(Me.Height)
        Me.Left = KsFormOperation.LeftForCenter(Me.Width)
        Me.Text = Me.Name & " - KsGrid Rg["
        StringBuilder.AppendLine("Z̕\@")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("̃{^ƂɂAZ̕\@Aς܂BB")
        StringBuilder.AppendLine("ɁAF̃ZɂډB")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("DefaultCelĺAݒ̖Z̏vpeB[ݒ肵܂B")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("̃tH[ł́A")
        StringBuilder.AppendLine(Class1.FewSpace & "DefaultCell")
        StringBuilder.AppendLine(Class1.FewSpace & "Z̕\@")
        StringBuilder.AppendLine("̐ݒ肪AsĂ܂B")
        Label1.Text = StringBuilder.ToString
        Button1.Text = "Flat"
        Button2.Text = "Rise"
        Button3.Text = "Sunken"

        '
        KnownColor()
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        With KsGrid1

            'Z̕\@ύX܂BDefaultCelĺAݒ̖Z̏vpeB[ݒ肵܂B
            .DefaultCell.Appearance = CellFrameAppearance.Flat

            'KADraw \bhs܂B
            .Draw()
        End With
    End Sub

    Private Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        With KsGrid1

            'Z̕\@ύX܂BDefaultCelĺAݒ̖Z̏vpeB[ݒ肵܂B
            .DefaultCell.Appearance = CellFrameAppearance.Rise

            'KADraw \bhs܂B
            .Draw()
        End With
    End Sub

    Private Sub Button3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button3.Click
        With KsGrid1

            'Z̕\@ύX܂BDefaultCelĺAݒ̖Z̏vpeB[ݒ肵܂B
            .DefaultCell.Appearance = CellFrameAppearance.Sunken

            'KADraw \bhs܂B
            .Draw()
        End With
    End Sub

    Private Sub KnownColor()
        Dim colorsArray As System.Array = [Enum].GetValues(GetType(KnownColor))
        Dim allColors(colorsArray.Length) As KnownColor
        Dim LoopI As Int32
        Array.Copy(colorsArray, allColors, colorsArray.Length)
        With KsGrid1
            .Rows = 35
            .Cols = 10
            .DefaultCell.Height = 20
            .Col(0).Width = 50
            .Col(1).Width = 133
            .Col(2).Width = 50
            .Col(3).Width = 133
            .Col(4).Width = 50
            .Col(5).Width = 133
            .Col(6).Width = 50
            .Col(7).Width = 133
            .Col(8).Width = 50
            .Col(9).Width = 133
            For LoopI = 0 To allColors.Length - 1
                Select Case LoopI
                    Case Is < 35
                        .Cell(LoopI, 1).Value = allColors(LoopI).ToString
                        .Cell(LoopI, 0).BackColor = Color.FromName(allColors(LoopI).ToString)
                    Case Is < 70
                        .Cell(LoopI - 35, 3).Value = allColors(LoopI).ToString
                        .Cell(LoopI - 35, 2).BackColor = Color.FromName(allColors(LoopI).ToString)
                    Case Is < 105
                        .Cell(LoopI - 70, 5).Value = allColors(LoopI).ToString
                        .Cell(LoopI - 70, 4).BackColor = Color.FromName(allColors(LoopI).ToString)
                    Case Is < 140
                        .Cell(LoopI - 105, 7).Value = allColors(LoopI).ToString
                        .Cell(LoopI - 105, 6).BackColor = Color.FromName(allColors(LoopI).ToString)
                    Case Else
                        .Cell(LoopI - 140, 9).Value = allColors(LoopI).ToString
                        .Cell(LoopI - 140, 8).BackColor = Color.FromName(allColors(LoopI).ToString)
                End Select
            Next
            .Draw()
        End With
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        LinkLabel1.LinkVisited = True
        System.Diagnostics.Process.Start(Class1.LinkAddress)
    End Sub

    Private Sub Me_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        With KsGrid1
            .Width = Me.Width - 290
            .Height = Me.Height - 60
            .Draw()
        End With
    End Sub
    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub

End Class