
Imports Sample.Base
Imports KamoyaSolutions.KsGrid
Imports System.Text
Imports System.Drawing.Printing
Imports KamoyaSolutions.KsBarCode
Public Class sample13
    Private Sub sample13_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        sample02.Show()
        Me.Hide()
    End Sub
    Private Sub sample13_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim StringBuilder As New StringBuilder
        LinkLabel1.Text = Class1.LinkAddress
        Me.Icon = New Icon(My.Application.Info.DirectoryPath & "\KsGridIcon.ico")
        Me.Height = 684
        Me.Width = 912
        Me.Top = KsFormOperation.TopForCenter(Me.Height)
        Me.Left = KsFormOperation.LeftForCenter(Me.Width)
        Me.Text = Me.Name & " - KsGrid Rg["
        StringBuilder.AppendLine("o[R[h̕\ƈ")
        StringBuilder.AppendLine("̐ݒ肪AsĂ܂B")
        StringBuilder.AppendLine("")
        StringBuilder.AppendLine("̃Tvł́Aŕ\Ă܂A")
        StringBuilder.AppendLine("v^[̐\ɂẮA")
        StringBuilder.AppendLine("Xgb`ĂAǉ\łB")
        StringBuilder.AppendLine("")
        Label1.Text = StringBuilder.ToString
        Me.Button1.Text = ""
        '
        Dim BarCodeCODE128 As BarCode.CODE128
        Dim BarCodeCODE39 As BarCode.CODE39
        Dim BarCodeEAN128_91 As BarCode.EAN128_91
        Dim BarCodeITF As BarCode.ITF
        Dim BarCodeJAN As BarCode.JAN
        Dim BarCodeJapanPostal As BarCode.JapanPostal
        Dim BarCodeNW7 As BarCode.NW7
        With KsGrid1
            .DefaultCell.BackColor = Color.Lavender
            .DefaultCell.WallPaperPosition = WallPaperPositions.Center
            .Rows = 8
            .Cols = 2
            .Row(0, 7).Height = 90
            .Col(0).Width = 75
            .Col(1).Width = 390
            BarCodeCODE128 = New BarCode.CODE128
            BarCodeCODE128.StartChar = BarCode.CodeSets.CodeB
            .Cell(0, 0).Value = "CODE128"
            .Cell(0, 1).WallPaper = BarCodeCODE128.DrawBarCode("1234567890asdf")

            BarCodeCODE39 = New BarCode.CODE39
            .Cell(1, 0).Value = "CODE39"
            .Cell(1, 1).WallPaper = BarCodeCODE39.DrawBarCode(BarCodeCODE39.AddM43("*1234567890asdf*"))

            BarCodeEAN128_91 = New BarCode.EAN128_91
            .Cell(2, 0).Value = "EAN128_91"
            .Cell(2, 1).WallPaper = BarCodeEAN128_91.DrawBarCode("91908082032710036040000057850807091510793282")

            BarCodeITF = New BarCode.ITF
            .Cell(3, 0).Value = "ITF"
            .Cell(3, 1).WallPaper = BarCodeITF.DrawBarCode(34987306989055)

            BarCodeJAN = New BarCode.JAN
            .Cell(4, 0).Value = "JAN"
            .Cell(4, 1).WallPaper = BarCodeJAN.DrawBarCode(4901085057704)

            .Cell(5, 0).Value = "JAN"
            .Cell(5, 1).WallPaper = BarCodeJAN.DrawBarCode(40329055)

            BarCodeJapanPostal = New BarCode.JapanPostal
            .Cell(6, 0).Value = "JapanPostal"
            .Cell(6, 1).WallPaper = BarCodeJapanPostal.DrawBarCode("65900681-22")

            BarCodeNW7 = New BarCode.NW7
            .Cell(7, 0).Value = "NW7"
            .Cell(7, 1).WallPaper = BarCodeNW7.DrawBarCode(BarCodeNW7.AddM16("a1234567890a"))
            .Draw()
        End With
    End Sub
    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        KsGrid1.DefaultCell.BackColor = Color.White
        PrintPreviewDialog1.Document = KsGrid1.Printing.PrintDocumentForAll
        PrintPreviewDialog1.Document.DefaultPageSettings.Margins = New Margins(100, 100, 100, 100)
        PrintPreviewDialog1.ShowDialog()
        KsGrid1.DefaultCell.BackColor = Color.Lavender
        KsGrid1.Draw()
    End Sub
    Private Sub Me_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        With KsGrid1
            .Width = Me.Width - 290
            .Height = Me.Height - 60
            .Draw()
        End With
    End Sub
    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        LinkLabel1.LinkVisited = True
        System.Diagnostics.Process.Start(Class1.LinkAddress)
    End Sub
End Class